package com.bocloud.cos.common.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author hufy
 */
public class DateFormatter {
	/**
	 * 格式化为字符串
	 * 
	 * @param date
	 * @param pattern
	 * @return
	 */
	public static String formatToString(Date date, String pattern) {
		SimpleDateFormat sdmf = new SimpleDateFormat(pattern);
		return sdmf.format(date);
	}

	/**
	 * 解析为日期
	 * 
	 * @param dateStr
	 * @param pattern
	 * @return
	 */
	public static Date parseToDate(String dateStr, String pattern) {
		SimpleDateFormat sdmf = new SimpleDateFormat(pattern);
		try {
			return sdmf.parse(dateStr);
		} catch (ParseException e) {
			return null;
		}
	}

}
