package com.bocloud.cos.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author tyl
 * @since 2021/5/31 20:13
 */

@Data
@EqualsAndHashCode(callSuper = true) @Table("document")
@AllArgsConstructor
@NoArgsConstructor
public class Document extends GenericEntity {
    @PK(PKStrategy.AUTO)
    private Long id;
    @Column("content")
    private String content;
    @Column("category_id")
    private Long categoryId;
    @Column("priority")
    private Long priority;
    @IgnoreAll
    private String category;
    @IgnoreAll
    private String username;


    public enum Status {
        /**
         * 未发布
         */
        UNPUBLISHED,
        /**
         * 已发布
         */
        PUBLISHED;
    }
}
