package com.bocloud.cos.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 段落与内容关系实体类
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月22日
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("rp_paragraph_template_rela")
public class ParagraphTemplateRela extends Generic {
    /**
     * 段落id
     */
    @Column("paragraph_id")
    private Long paragraphId;
    /**
     * 内容模板
     */
    @Column("content_template_id")
    private Long contentTemplateId;
    /**
     * 模板配置id
     */
    @Column("config_template_id")
    private Long configTemplateId;
    /**
     * 是否删除
     */
    @Column("is_deleted")
    private Boolean deleted;

    public ParagraphTemplateRela(Long contentTemplateId, Long configTemplateId, Boolean deleted) {
        super();
        this.contentTemplateId = contentTemplateId;
        this.configTemplateId = configTemplateId;
        this.deleted = deleted;
    }
}
