package com.bocloud.cos.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 发布配置实体类
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月22日
 */
@Table("rp_publish_info")
public class PublishInfo extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 模板配置id
     */
    @Column("config_template_id")
    private Long configTemplateId;
    /**
     * 名称
     */
    @Column("name")
    private String name;
    /**
     * email
     */
    @Column("email")
    private String email;
    /**
     * 是否订阅信息
     */
    @Column("status")
    private Boolean status;
    /**
     * 报告文件形式
     */
    @Column("file_format")
    private String fileFormat;
    /**
     * 是否删除
     */
    @Column("is_deleted")
    private Boolean deleted;

    public PublishInfo() {
        super();
    }

    public PublishInfo(Long configTemplateId, String name, String email, Boolean status, String fileFormat,
                       Boolean deleted) {
        super();
        this.configTemplateId = configTemplateId;
        this.name = name;
        this.email = email;
        this.status = status;
        this.fileFormat = fileFormat;
        this.deleted = deleted;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getConfigTemplateId() {
        return configTemplateId;
    }

    public void setConfigTemplateId(Long configTemplateId) {
        this.configTemplateId = configTemplateId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    public String getFileFormat() {
        return fileFormat;
    }

    public void setFileFormat(String fileFormat) {
        this.fileFormat = fileFormat;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

}
