package com.bocloud.cos.enums;

/**
 * 计费单位
 *
 * @author dingmw
 */
public enum ChargeUnit {

    /**
     * 路由器计量单位
     */
    RouterSpec("个"),

    /**
     * 浮动IP计量单位
     */
    FloatingIpSpec("个"),

    /**
     * 实例计量单位
     */
    InstanceSpec("个"),

    /**
     * cpu计量单位
     */
    CpuSpec("C"),

    /**
     * 内存计量单位
     */
    MemorySpec("GB"),

    /**
     * 存储计量单位(磁盘，快照，镜像)
     */
    StorageSpec("GB");

    private String specType;

    private ChargeUnit(String specType) {
        this.specType = specType;
    }

    /**
     * @return the specType
     */
    public String getSpecType() {
        return specType;
    }

}
