package com.bocloud.cos.enums;

/**
 * 订单状态
 * 
 * @author wangyu
 * @version 1.0
 * @since 2018年1月8日
 *
 */
public enum OrderStatus {

	/**
	 * 未审核
	 */
	UNREVIEW,
	/**
	 * 审核中
	 */
	REVIEWING,

	/*
	 * 已完成
	 */
	SUCCESS,

	/**
	 * 失败
	 */
	FAILURE,
	/**
	 * 创建成功
	 */
	CreateSuccess,
	/**
	 * 创建失败
	 */
	CreateFailure,
	/**
	 * 正在创建
	 */
	Creating,
	/*
	 * 开通成功
	 */
	OpenedSuccess,
	/**
	 * 开通失败
	 */
	OpenedFailure,
	/**
	 * 正在开通
	 */
	Opening,
	/**
	 * 变更成功
	 */
	ChangeSuccess,
	/**
	 * 变更失败
	 */
	ChangeFailure,
	/**
	 * 正在变更
	 */
	Changing,
	/**
	 * 退订成功
	 */
	UnsubscribeSuccess,
	/**
	 * 退订失败
	 */
	UnsubscribeFailure,
	/**
	 * 正在退订
	 */
	Unsubscribing,
	/**
	 * 已废弃
	 */
	Abandoned;

}
