package com.bocloud.cos.model;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.bean.Generic;

import java.math.BigDecimal;


/**
 * 虚机信息报告
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月28日
 */
public class CloudServerInfoReport extends Generic {

    /**
     * 编号
     */
    @Column("id")
    private Long id;
    /**
     * 虚机名称
     */
    @Column("name")
    private String name;
    /**
     * ip地址
     */
    @Column("manager_ip")
    private String managerIp;
    /**
     * 所属平台
     */
    @Column("vendorName")
    private String vendorName;
    /**
     * cpu配额
     */
    @Column("cpu")
    private int cpu;
    /**
     * 内存配额
     */
    @Column("memory")
    private BigDecimal memory;
    /**
     * 磁盘配额
     */
    @Column("disk")
    private int disk;
    /**
     * 所属用户
     */
    @Column("ownerName")
    private String ownerName;
    /**
     * cpu使用率
     */
    private String cpuUsage;
    /**
     * 内存使用率s
     */
    private String ramUsage;
    /**
     * 硬盘使用率
     */
    private String diskUsage;

    private Long number;

    @Column("tenantName")
    private String tenantName;

    @Column("projectName")
    private String projectName;

    public String getTenantName() {
        if (tenantName == null) {
            return "";
        }
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getManagerIp() {
        if (null == managerIp) {
            return "";
        }
        return managerIp;
    }

    public void setManagerIp(String managerIp) {
        this.managerIp = managerIp;
    }

    public String getVendorName() {
        return vendorName;
    }

    public void setVendorName(String vendorName) {
        this.vendorName = vendorName;
    }

    public int getCpu() {
        return cpu;
    }

    public void setCpu(int cpu) {
        this.cpu = cpu;
    }

    public BigDecimal getMemory() {
        return memory;
    }

    public void setMemory(BigDecimal memory) {
        this.memory = memory;
    }

    public int getDisk() {
        return disk;
    }

    public void setDisk(int disk) {
        this.disk = disk;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public void setCpuUsage(String cpuUsage) {
        this.cpuUsage = cpuUsage;
    }

    public void setRamUsage(String ramUsage) {
        this.ramUsage = ramUsage;
    }

    public void setDiskUsage(String diskUsage) {
        this.diskUsage = diskUsage;
    }

    public String getCpuUsage() {
        return cpuUsage;
    }

    public String getRamUsage() {
        return ramUsage;
    }

    public String getDiskUsage() {
        return diskUsage;
    }

    public Long getNumber() {
        return number;
    }

    public void setNumber(Long number) {
        this.number = number;
    }

    public String getProjectName() {
        if (null == projectName) {
            return "";
        }
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

}
