package com.bocloud.cos.model;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 折线图
 *
 * @param
 * @author zhangyf
 * @since 2018-08-10
 */
public class LineChartResult {

    private List<String> keys;
    private Values[] values;
    private String unit;// 单位
    private Map<String, TopParams> topParams;

    public LineChartResult(List<String> keys, com.bocloud.cos.model.Values[] 使用次数s) {
        super();
        this.keys = keys;
    }

    public LineChartResult(List<String> keys, Values[] values) {
        super();
        this.keys = keys;
        this.values = values;
    }

    public LineChartResult(List<String> keys, Values[] values, Map<String, TopParams> topParams) {
        super();
        this.keys = keys;
        this.values = values;
        this.topParams = topParams;
    }

    public List<String> getKeys() {
        return keys;
    }

    public void setKeys(List<String> keys) {
        this.keys = keys;
    }

    public Values[] getValues() {
        return values;
    }

    public void setValues(Values[] values) {
        this.values = values;
    }

    public Map<String, TopParams> getTopParams() {
        return topParams;
    }

    public void setTopParams(Map<String, TopParams> topParams) {
        this.topParams = topParams;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public static class Values {

        private String name;
        private String stack;
        private List<Object> data;

        public Values(String name) {
            super();
            this.name = name;
            this.data = new ArrayList<>();
        }

        public Values(String name, List<Object> data) {
            super();
            this.name = name;
            this.data = data;
        }

        public Values(String name, List<Object> data, String stack) {
            super();
            this.name = name;
            this.data = data;
            this.stack = stack;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public List<Object> getData() {
            return data;
        }

        public void setData(List<Object> data) {
            this.data = data;
        }

        public String getStack() {
            return stack;
        }

        public void setStack(String stack) {
            this.stack = stack;
        }


    }

    // 折线图传参
    public static class LineChartParam {

        private String expr;// 表达式
        private String start;// 开始时间
        private String end;// 结束时间
        private String step;// 时间间隔
        private String name;// 指标名称

        public String getExpr() {
            return expr;
        }

        public void setExpr(String expr) {
            this.expr = expr;
        }

        public String getStart() {
            return start;
        }

        public void setStart(String start) {
            this.start = start;
        }

        public String getEnd() {
            return end;
        }

        public void setEnd(String end) {
            this.end = end;
        }

        public String getStep() {
            return step;
        }

        public void setStep(String step) {
            this.step = step;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

    }

    //top5详情显示所需参数
    public static class TopParams {

        private Long id;//主机或虚拟机id
        private String identifier;//唯一标识符：uuid或instanceId或ip etc;
        private String type;//机器类型 VMWARE or OPENSTACK
        private Long vendorId;
        private String hostName; //主机名称

        public Long getId() {
            return id;
        }

        public void setId(Long id) {
            this.id = id;
        }

        public String getIdentifier() {
            return identifier;
        }

        public void setIdentifier(String identifier) {
            this.identifier = identifier;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public Long getVendorId() {
            return vendorId;
        }

        public void setVendorId(Long vendorId) {
            this.vendorId = vendorId;
        }

        public String getHostName() {
            return hostName;
        }

        public void setHostName(String hostName) {
            this.hostName = hostName;
        }
    }


}
