package com.bocloud.cos.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class LogViewMessage {

    private boolean success;
    private MessageCategory category;
    private String content;
    private Long position;

    public LogViewMessage(String content) {
        this.category = MessageCategory.VIEW_LOG;
        this.content = content;
    }

    public LogViewMessage(String content, Long position) {
        this.category = MessageCategory.VIEW_LOG;
        this.content = content;
        this.position = position;
    }

    public LogViewMessage(Boolean success, String content, Long position) {
        this.success = success;
        this.category = MessageCategory.VIEW_LOG;
        this.content = content;
        this.position = position;
    }

    public enum MessageCategory {
        TEXT, UPLOAD, UPLOAD_ACK, UPLOAD_CANCEL, TASK, CALLBACK, VIEW_LOG;
    }
}
