package com.bocloud.cos.model;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.bean.Generic;

/**
 * 主机信息报告
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月28日
 */
public class ServerInformationReport extends Generic {

    /**
     * 设备名称
     */
    @Column("name")
    private String name;
    /**
     * 管理ip
     */
    @Column("manage_ip")
    private String manageIp;
    /**
     * 状态
     */
    @Column("status")
    private String status;
    /**
     * 机房名称
     */
    @Column("roomName")
    private String roomName;
    /**
     * 机柜名称
     */
    @Column("rackName")
    private String rackName;
    /**
     * 设备类别
     */
    @Column("category")
    private String category;
    /**
     * 虚拟机数
     */
    @Column("cloudServerCount")
    private Long cloudServerCount;
    /**
     * cpu核数
     */
    @Column("cpu_amount")
    private Integer cpuAmount;
    /**
     * 内存容量
     */
    @Column("memory_capacity")
    private Double memoryCapacity;
    /**
     * 磁盘容量
     */
    @Column("disk_capacity")
    private Double diskCapacity;

    private Long number;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getManageIp() {
        return manageIp;
    }

    public void setManageIp(String manageIp) {
        this.manageIp = manageIp;
    }

    public String getStatus() {
        if (null == status) {
            return "";
        }
        switch (status) {
            case "RUNNING":
                return "运行中";
            case "STOPPED":
                return "关机";
            case "UNKNOWN":
                return "已断开";
            case "ENABLED":
                return "运行中";
            default:
                break;
        }
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRoomName() {
        if (roomName == null) {
            return "";
        }
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getRackName() {
        if (rackName == null) {
            return "";
        }
        return rackName;
    }

    public void setRackName(String rackName) {
        this.rackName = rackName;
    }

    public String getCategory() {
        if (category == null) {
            return "";
        }
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Long getCloudServerCount() {
        return cloudServerCount;
    }

    public void setCloudServerCount(Long cloudServerCount) {
        this.cloudServerCount = cloudServerCount;
    }

    public Integer getCpuAmount() {
        return cpuAmount;
    }

    public void setCpuAmount(Integer cpuAmount) {
        this.cpuAmount = cpuAmount;
    }

    public Double getMemoryCapacity() {
        if (memoryCapacity == null) {
            return 0.0;
        }
        return memoryCapacity;
    }

    public void setMemoryCapacity(Double memoryCapacity) {
        this.memoryCapacity = memoryCapacity;
    }

    public Double getDiskCapacity() {
        if (diskCapacity == null) {
            return 0.0;
        }
        return diskCapacity;
    }

    public void setDiskCapacity(Double diskCapacity) {
        this.diskCapacity = diskCapacity;
    }

    public Long getNumber() {
        return number;
    }

    public void setNumber(Long number) {
        this.number = number;
    }

}
