package com.bocloud.cos.model;

import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.bean.Generic;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 租户管理信息报表
 *
 * @author lyy
 * @version 2.0
 * @time 2018年1月3日
 */
public class TenantInformationReport extends Generic {

    /**
     * 序号
     */
    private Long id;
    /**
     * 租户名称
     */
    private String name;
    /**
     * 申请时长
     */
    @Column("applyLength")
    private Long applyLength;
    /**
     * 创建时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date gmtCreate;

    /**
     * 虚机数量
     */
    @Column("cloudServerCount")
    private Long cloudServerCount;

    /**
     * 虚机CPU核数
     */
    private Long vmCpuCore;

    /**
     * 虚机内存(MB)
     */
    private Long vmMemory;

    /**
     * 虚机磁盘(GB)
     */
    private Long vmDisk;

    /**
     * 存储数量
     */
    @Column("volumeCount")
    private Long volumeCount;
    /**
     * 产品数量
     */
    @Column("productCount")
    private BigDecimal productCount;

    /**
     * 下级租户数量
     */
    @Column("parentIdNumber")
    private Long parentIdNumber;

    /**
     * 用户数量
     */
    @Column("userNumber")
    private Long userNumber;

    /**
     * 租户所创建的项目数量
     */
    @Column("projectNumber")
    private Long projectNumber;

    private Long number;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getApplyLength() {
        return applyLength;
    }

    public void setApplyLength(Long applyLength) {
        this.applyLength = applyLength;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Long getCloudServerCount() {
        return cloudServerCount;
    }

    public void setCloudServerCount(Long cloudServerCount) {
        this.cloudServerCount = cloudServerCount;
    }

    public Long getVolumeCount() {
        return volumeCount;
    }

    public void setVolumeCount(Long volumeCount) {
        this.volumeCount = volumeCount;
    }

    public BigDecimal getProductCount() {
        return productCount;
    }

    public void setProductCount(BigDecimal productCount) {
        this.productCount = productCount;
    }

    public Long getVmCpuCore() {
        return vmCpuCore;
    }

    public void setVmCpuCore(Long vmCpuCore) {
        this.vmCpuCore = vmCpuCore;
    }

    public Long getVmMemory() {
        return vmMemory;
    }

    public void setVmMemory(Long vmMemory) {
        this.vmMemory = vmMemory;
    }

    public Long getVmDisk() {
        return vmDisk;
    }

    public void setVmDisk(Long vmDisk) {
        this.vmDisk = vmDisk;
    }

    public Long getParentIdNumber() {
        return parentIdNumber;
    }

    public void setParentIdNumber(Long parentIdNumber) {
        this.parentIdNumber = parentIdNumber;
    }

    public Long getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(Long userNumber) {
        this.userNumber = userNumber;
    }

    public Long getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(Long projectNumber) {
        this.projectNumber = projectNumber;
    }

    public Long getNumber() {
        return number;
    }

    public void setNumber(Long number) {
        this.number = number;
    }


}
