package com.bocloud.cos.repository;

import com.bocloud.cos.common.utils.ArrayFormatter;
import com.bocloud.cos.enums.ReportFrequenceType;
import com.bocloud.cos.model.CloudServerInfoReport;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author hufy
 */
@Repository("cloudServerInfoReportRepository")
public class CloudServerInfoReportRepository extends BasicGenericDao<CloudServerInfoReport, Long> {
    public CloudServerInfoReportRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    // @Autowired
    // private MonitorReportDao monicreator_idtorReportDao;

    public List<CloudServerInfoReport> queryCloudServerInfoReport(String[] resourceIds, ReportFrequenceType reportFrequenceType, Map<String, Object> param) throws Exception {
        param.put("ids", ArrayFormatter.toLongList(resourceIds));
        String sql = "select cs.id,cs.`name`,cs.manager_ip,u.vendorName, "
                + " cs.cpu,cs.memory,cs.disk,us.`name` AS ownerName,t.name as tenantName,p.name AS projectName from cloud_server cs "
                + " LEFT JOIN (SELECT cv.id,cv.`name` AS vendorName,cv.creator_id "
                + " FROM cloud_vendor cv LEFT JOIN `user` us ON cv.creator_id = us.id " + " WHERE cv.is_deleted = 0 "
                + " )u ON cs.vendor_id = u.id LEFT JOIN (select id,name from tenant) t on t.id=cs.tenant_id"
                + " LEFT JOIN project p ON p.id = cs.project_id "
                + " LEFT JOIN object_relation o ON o.res_id = cs.id AND o.category = 'Computer' "
                + " LEFT JOIN `user` us ON us.id = o.target AND o.catalog = 'USER' "
                + " where cs.is_deleted = 0 and cs.id in (:ids) ";
        return this.list(CloudServerInfoReport.class, sql, param);
    }

}
