package com.bocloud.cos.repository;

import java.util.List;
import java.util.Map;

import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Service;

import com.bocloud.common.utils.Common;
import com.bocloud.common.utils.MapTools;
import com.bocloud.cos.entity.MessageRecord;
import com.bocloud.database.core.intf.impl.BasicGenericDao;

@Service("messageRecordRepository")
public class MessageRecordRepository extends BasicGenericDao<MessageRecord, Long> {

	public MessageRecordRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
		super(jdbcTemplate, npJdbcTemplate);
	}

	public MessageRecord get(Long userId, String category) throws Exception {
		String sql = "select * from message_record where user_id = :userId and category = :category";
		Map<String, Object> params = MapTools.simpleMap(Common.USERID, userId);
		params.put("category", category);
		List<MessageRecord> records = this.list(MessageRecord.class, sql, params);
		return records.isEmpty() ? null : records.get(0);
	}

}
