package com.bocloud.cos.repository;

import com.bocloud.common.utils.MapTools;
import com.bocloud.cos.entity.Paragraph;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author lyy
 */
@Repository("paragraphRepository")
public class ParagraphRepository extends BasicGenericDao<Paragraph, Long> {

    public ParagraphRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    public Paragraph saveParagraph(Paragraph paragraph) throws Exception {
        if (this.baseSave(paragraph)) {
            return paragraph;
        }
        return null;
    }

    public Boolean remove(Long configTemplateId) throws Exception {
        String sql = "update rp_paragraph set is_deleted = 1 where config_template_id = :configTemplateId and is_deleted = 0";
        Map<String, Object> params = MapTools.simpleMap("configTemplateId", configTemplateId);
        return this.execute(sql, params) > 0;
    }

    public List<Paragraph> getByConfigTemplate(Long configTemplateId) throws Exception {
        String sql = "select * from rp_paragraph where config_template_id = :configTemplateId and is_deleted = 0";
        Map<String, Object> paramMap = MapTools.simpleMap("configTemplateId", configTemplateId);
        return this.list(Paragraph.class, sql, paramMap);
    }

}
