package com.bocloud.cos.repository;

import com.bocloud.common.utils.ListTool;
import com.bocloud.common.utils.MapTools;
import com.bocloud.cos.entity.ReportHistoryResult;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author hufy
 */
@Repository("reportHistoryResultRepository")
public class ReportHistoryResultRepository extends BasicGenericDao<ReportHistoryResult, Long> {

    public ReportHistoryResultRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    public ReportHistoryResult query(Long historyId, Long paragraphId, Long contentTemplateId) throws Exception {
        String sql = "select * from rp_history_result where history_id=:historyId and paragraph_id=:paragraphId and content_template_id=:contentTemplateId";
        Map<String, Object> map = MapTools.simpleMap("historyId", historyId);
        map.put("paragraphId", paragraphId);
        map.put("contentTemplateId", contentTemplateId);
        List<ReportHistoryResult> objects = this.list(ReportHistoryResult.class, sql, map);
        if (!ListTool.isEmpty(objects)) {
            return objects.get(0);
        }
        return null;
    }

    public void delete(Long historyId) throws Exception {
        String sql = "delete from rp_history_result where history_id=:historyId ";
        Map<String, Object> params = MapTools.simpleMap("historyId", historyId);
        this.execute(sql, params);
    }

}
