package com.bocloud.cos.repository;

import com.bocloud.cos.common.utils.ArrayFormatter;
import com.bocloud.cos.enums.ReportFrequenceType;
import com.bocloud.cos.model.StorageInformationReport;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author lyy
 */
@Repository("storageInformationReportRepository")
public class StorageInformationReportRepository extends BasicGenericDao<StorageInformationReport, Long> {

    public StorageInformationReportRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    public List<StorageInformationReport> queryStorageInformationReport(String[] resourceIds, ReportFrequenceType reportFrequenceType, Map<String, Object> param) throws Exception {
        param.put("ids", ArrayFormatter.toLongList(resourceIds));
        String sql = "SELECT cr.`name`,cr.`status`,cr.disk_total,IFNULL(m.monCount, 0) AS monCount,IFNULL(o.osdCount, 0) AS osdCount FROM "
                + " cluster cr LEFT JOIN (SELECT c.id,count(*) AS monCount FROM cluster c "
                + " LEFT JOIN cluster_node cn ON c.id = cn.cluster_id WHERE cn.roles LIKE '%mon%' "
                + " GROUP BY c.id) m ON cr.id = m.id LEFT JOIN (SELECT c.id,count(*) AS osdCount FROM "
                + " cluster c LEFT JOIN cluster_node cn ON c.id = cn.cluster_id WHERE cn.roles LIKE '%osd%' "
                + " GROUP BY c.id) o ON cr.id = o.id where cr.id in (:ids)";
        return this.list(StorageInformationReport.class, sql, param);
    }

}
