package com.bocloud.cos.engine.impl;

import com.bocloud.cos.engine.Expression;
import de.odysseus.el.ExpressionFactoryImpl;
import de.odysseus.el.util.SimpleContext;

import javax.el.ExpressionFactory;
import java.util.Map;
import java.util.Map.Entry;

/**
 * Juel 表达式引擎实现
 *
 * @author hufy
 */
public class JuelExpression implements Expression {
    ExpressionFactory factory = new ExpressionFactoryImpl();

    @Override
    @SuppressWarnings("unchecked")
    public <T> T eval(Class<T> tClass, String expr, Map<String, Object> args) {
        SimpleContext context = new SimpleContext();
        for (Entry<String, Object> entry : args.entrySet()) {
            context.setVariable(entry.getKey(), factory.createValueExpression(entry.getValue(), Object.class));
        }
        return (T) factory.createValueExpression(context, expr, tClass).getValue(context);
    }
}
