package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Param;
import com.bocloud.common.model.RequestContext;
import com.bocloud.cos.entity.Document;
import com.bocloud.cos.entity.DocumentCategory;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @author tyl
 * @since 2021/3/8 14:58
 */
public interface DocumentService {

    /**
     * 分页查询文档
     *
     * @param page
     * @param rows
     * @param params
     * @param sorter
     * @param condition
     * @return
     */
    BocloudResult list(int page, int rows, List<Param> params, Map<String, String> sorter,Boolean simple, String condition);

    /**
     * 删除文档
     *
     * @param id
     * @return
     */
    BocloudResult remove(Long id, RequestContext context);

    /**
     * 文档详情
     *
     * @param id
     * @return
     */
    BocloudResult detail(Long id);

    /**
     * 添加文档
     *
     * @param document
     * @return
     */
    BocloudResult create(Document document, RequestContext context);

    /**
     * 修改文档
     *
     * @param id
     * @param document
     * @return
     */
    BocloudResult modify(Long id,Document document, RequestContext context);

    BocloudResult categoryTree();

    BocloudResult categoryDetail(Long id);

    BocloudResult createCategory(DocumentCategory category);

    BocloudResult removeCategory(Long id);

    BocloudResult modifyCategory(Long id, DocumentCategory category);

    BocloudResult upload(MultipartFile multipartFile);

    BocloudResult delete(List<String> paths);
}
