package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.cos.entity.ReportTemplateHistory;
import com.bocloud.cos.enums.ReportFrequenceType;
import com.bocloud.cos.model.GraphData;
import com.bocloud.cos.model.PlatformInfoReport;
import com.bocloud.cos.model.ReportPair;

import java.util.List;
import java.util.Map;

/**
 * @author hufy
 */
public interface PlatformInfoReportService extends ReportCreateService {

	/**
	 * 查询综合报表
	 *
	 * @param configTemplateId
	 *            模板配置id
	 * @param isRealTime
	 *            是否实时
	 * @param history
	 *            历史
	 * @return 返回报表信息
	 */
	public BocloudResult<List<ReportPair<List<PlatformInfoReport>>>> queryDetail(Long configTemplateId,
																			  ReportTemplateHistory history, Boolean isRealTime);


	List<GraphData> getVmLineChartByTime(ReportFrequenceType frequenceType, Map<String, Object> params, String[] resourceIds);
}
