package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.cos.entity.PortalPanel;
import com.bocloud.cos.model.PortalPanelBean;

import java.util.List;

/**
 * 首页配置service层
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月27日
 */
public interface PortalPanelService {

    /**
     * 首页配置列表展示
     *
     * @param serverName
     * @param context
     * @return
     */
    public BocloudResult list(String serverName, RequestContext context);

    /**
     * 新增首页配置
     *
     * @param portalPanel
     * @param userId
     * @param tenantId
     * @return
     */
    public BocloudResult create(PortalPanel portalPanel, Long userId, Long tenantId);

    /**
     * 更新首页配置
     *
     * @param userId
     * @param bean
     * @return
     */
    public BocloudResult update(PortalPanelBean bean, Long userId);

    /**
     * 全保存
     *
     * @param portalPanels
     * @param userId
     * @param serverName
     * @param tenantId
     * @param projectId
     * @return
     */
    public BocloudResult save(List<PortalPanel> portalPanels, String serverName, Long userId, Long tenantId,
                              Long projectId);

    /**
     * 删除首页配置
     *
     * @param id
     * @return
     */
    public BocloudResult remove(Long id);

    /**
     * 重置
     *
     * @param serverName
     * @param userId
     * @return
     */
    public BocloudResult reset(String serverName, Long userId);

    /**
     * 新增租户时设置默认门户
     *
     * @param tenantId
     * @param userId
     * @return
     */
    public BocloudResult setting(Long tenantId, Long userId);

    /**
     * 删除租户时删除门户展示信息
     *
     * @param tenantId
     * @param userId
     * @return
     */
    public BocloudResult deleteByTenantId(Long tenantId, Long userId);
}
