package com.bocloud.cos.service;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.cos.entity.ContentTemplate;
import com.bocloud.cos.intf.ContentTemplateService;
import com.bocloud.cos.repository.ContentTemplateRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lyy
 */
@Service("contentTemplateService")
public class ContentTemplateServiceImpl implements ContentTemplateService {

    private static Logger logger = LoggerFactory.getLogger(ContentTemplateServiceImpl.class);
    @Autowired
    private ContentTemplateRepository contentTemplateRepository;

    @Override
    public BocloudResult list(String reportCategory) {
        try {
            List<ContentTemplate> contentTemplates = this.contentTemplateRepository.listContentTemplate(reportCategory);
            if (contentTemplates.isEmpty()) {
                return new BocloudResult(true, contentTemplates, "报表数据指标为空");
            }
            return new BocloudResult(true, contentTemplates, "查询成功");
        } catch (Exception e) {
            logger.error("Query Content Template error:", e);
            return new BocloudResult(false, "查询失败");
        }
    }

}
