package com.bocloud.cos.service.jasper.handler.impl;

import com.bocloud.cos.entity.ContentTemplate;
import com.bocloud.cos.entity.Paragraph;
import com.bocloud.cos.entity.ReportConfigTemplate;
import com.bocloud.cos.entity.ReportTemplateHistory;
import com.bocloud.cos.enums.ReportFrequenceType;
import com.bocloud.cos.intf.ReportCreateService;
import com.bocloud.cos.service.jasper.handler.JasperHandler;
import net.sf.jasperreports.engine.JasperPrint;

import java.util.Map;

/**
 * @author hufy
 */
public abstract class AbstractJasperHandler implements JasperHandler {

	private ReportCreateService service;

	public AbstractJasperHandler(ReportCreateService service) {
		this.service = service;
	}

	/**
	 * 获取模板
	 * 
	 * @param history
	 *            历史记录
	 * @param params
	 * @param contentTemplate
	 *            文件的路径
	 * @param frequenceType
	 * @param resourceIds
	 * 			@return
	 * @param paragraph
	 * @param configTemplate
	 * @return
	 */
	@Override
	public abstract JasperPrint getJasperPrint(ReportTemplateHistory history, Map<String, Object> params,
											   ContentTemplate contentTemplate, ReportFrequenceType frequenceType, String[] resourceIds,
											   Paragraph paragraph, ReportConfigTemplate configTemplate);

	public ReportCreateService getService() {
		return service;
	}

	public void setService(ReportCreateService service) {
		this.service = service;
	}
}
