package com.bocloud.cos.service.jasper.utils;

import com.lowagie.text.Document;
import com.lowagie.text.DocumentException;
import com.lowagie.text.PageSize;
import com.lowagie.text.pdf.PdfContentByte;
import com.lowagie.text.pdf.PdfImportedPage;
import com.lowagie.text.pdf.PdfReader;
import com.lowagie.text.pdf.PdfWriter;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 * pdf操作util
 *
 * @author hufy
 */
public class PdfConbineUtils {

	private static Logger logger = LoggerFactory.getLogger(PdfConbineUtils.class);

	private Collection<byte[]> byteColl = new ArrayList<>();

	public byte[] conbine() throws IOException, DocumentException {
		ByteArrayOutputStream conbined = new ByteArrayOutputStream();
		Document document = new Document(PageSize.A4);

		PdfWriter pdfwriter = PdfWriter.getInstance(document, conbined);

		document.open();

		PdfContentByte pcb = pdfwriter.getDirectContent();

		PdfReader reader = null;
		PdfImportedPage page = null;

		Iterator<byte[]> ite = byteColl.iterator();
		while (ite.hasNext()) {
			reader = new PdfReader(ite.next());

			for (int i = 0; i < reader.getNumberOfPages(); i++) {
				document.newPage();
				page = pdfwriter.getImportedPage(reader, i + 1);
				pcb.addTemplate(page, 0, 0);
			}
		}

		document.close();

		logger.info("");
		return conbined.toByteArray();
	}

	public byte[] conbineSide() throws IOException, DocumentException {
		logger.info("");
		ByteArrayOutputStream conbined = new ByteArrayOutputStream();
		Document document = new Document(PageSize.A4.rotate());
		PdfWriter pdfwriter = PdfWriter.getInstance(document, conbined);

		document.open();

		PdfContentByte pcb = pdfwriter.getDirectContent();

		PdfReader reader = null;
		PdfImportedPage page = null;

		Iterator<byte[]> ite = byteColl.iterator();
		while (ite.hasNext()) {
			reader = new PdfReader(ite.next());

			for (int i = 0; i < reader.getNumberOfPages(); i++) {
				document.newPage();
				page = pdfwriter.getImportedPage(reader, i + 1);
				pcb.addTemplate(page, 0, 0);
			}
		}

		document.close();

		logger.info("");
		return conbined.toByteArray();
	}

	public void add(byte[] byteArray) {
		byteColl.add(byteArray);
	}

	public void clear() {
		byteColl.clear();
	}
}